package main

import (
	"fmt"
	"log"
	"net/http"
	"os"
)

func main() {
	router := http.NewServeMux()
	router.Handle("/", &greeter{})
	err := http.ListenAndServe(":8080", router)
	if err != nil {
		log.Print(err)
		os.Exit(1)
	}
}

type greeter struct{}

func (h *greeter) ServeHTTP(w http.ResponseWriter, r *http.Request) {
	fmt.Fprint(w, "Hello, World!")
}
